import { ReactElement } from 'react';
import { Navigate, Outlet } from 'react-router-dom';
import { loadItem } from '../../utils';

export const AuthRoute = ({
  redirectUrl,
  children = null
}: {
  redirectUrl: string;
  children?: ReactElement | null;
}) => {
  const auth = loadItem('auth', null, true);

  return auth ?
    (children ? children : <Outlet />) :
    <Navigate to={redirectUrl} replace />;
};
