import { ElementType, useState } from "react";

export const WithHocToggle = (Component: ElementType) => {
  return function WithHocToggleComponent({ ...props }: {
    [key: string]: any;
  }) {
    const [toggle, setToggle] = useState<boolean>(false);

    return (
      <Component
        toggle={toggle}
        setToggle={() => setToggle(!toggle)}
        {...props}
      />
    );
  };
};

export type ToggleType = boolean;
export type SetToggleType = () => void;
